%define name	jamin
%define version	0.8.0
%define release 1mdk

Name: 	 	%{name}
Summary: 	Audio mastering interface
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://jamin.sourceforge.net/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig jackit-devel libxml2-devel gtk2-devel ladspa-devel
BuildRequires:	fftw-devel >= 3.0.1

%description
JAMin is the JACK Audio Connection Kit (JACK) Audio Mastering interface. JAMin
is designed to perform professional audio mastering of any number of input
streams. It uses LADSPA for its backend DSP work, specifically the swh plugins
created by Steve Harris.

Features:
Linear filters (though this seems to be going out of fashion, oh well)
JACK I/O
30 band graphic EQ
1023 band hand drawn EQ with parametric controls
Spectrum analyser
3 band peak compressor
Lookahead brickwall limiter
Multiband stereo processing
Presets and scenes
Loudness maximiser

%prep
%setup -q

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="jamin" icon="sound_section.png" needs="x11" title="JAMIN" longtitle="Audio mastering interface" section="Multimedia/Sound"
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_bindir}/%name
%{_menudir}/%name
%{_datadir}/%name
%{_mandir}/man1/*

%changelog
* Wed Dec 31 2003 Austin Acton <austin@mandrake.org> 0.8.0-1mdk
- initial package
